Bug 11932 - move delete checkbox on patron modification to right
Summary: move delete checkbox on patron modification to right
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-12 16:21 UTC by Nicole C. Engard
Modified: 2017-02-19 20:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
batch patron modification (25.98 KB, image/png)
2014-03-12 16:21 UTC, Nicole C. Engard
Details
Bug 11932: Move delete checkbox on patron modification to right (2.89 KB, patch)
2017-02-02 23:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 11932: Move delete checkbox on patron modification to right (3.09 KB, patch)
2017-02-03 16:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 11932: Move delete checkbox on patron modification to right (3.15 KB, patch)
2017-02-14 09:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11932: Move delete checkbox on patron modification to right (3.16 KB, patch)
2017-02-16 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-12 16:21:20 UTC
Created attachment 26200 [details]
batch patron modification

By having the checkbox to delete a field on the patron modification on the left it implies that you have to click it to select that field to edit. I know the note says not to - but people are doing it.  The batch item modification has the checkbox on the right which seems to be clearer.
Comment 1 Aleisha Amohia 2017-02-02 23:34:02 UTC
Created attachment 59835 [details] [review]
Bug 11932: Move delete checkbox on patron modification to right

To test:
1) Go to Tools -> Batch patron modification
2) Put in a user cardnumber and click Continue
3) Notice checkboxes on the left of the input fields
4) Apply patch and refresh page (resend information if prompted)
5) Notice checkboxes on the right of the input fields
6) Confirm they still work as expected

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-02-03 16:59:22 UTC
Created attachment 59891 [details] [review]
Bug 11932: Move delete checkbox on patron modification to right

To test:
1) Go to Tools -> Batch patron modification
2) Put in a user cardnumber and click Continue
3) Notice checkboxes on the left of the input fields
4) Apply patch and refresh page (resend information if prompted)
5) Notice checkboxes on the right of the input fields
6) Confirm they still work as expected

Sponsored-by: Catalyst IT

NOTE: Why not left before the label? And while functional,
      is there a pretty align it nicely with all the other
      checkboxes CSS styling somehow?

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-14 09:07:47 UTC
Created attachment 60174 [details] [review]
Bug 11932: Move delete checkbox on patron modification to right

To test:
1) Go to Tools -> Batch patron modification
2) Put in a user cardnumber and click Continue
3) Notice checkboxes on the left of the input fields
4) Apply patch and refresh page (resend information if prompted)
5) Notice checkboxes on the right of the input fields
6) Confirm they still work as expected

Sponsored-by: Catalyst IT

NOTE: Why not left before the label? And while functional,
      is there a pretty align it nicely with all the other
      checkboxes CSS styling somehow?

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-14 09:08:30 UTC
I am not sure it is really an ergonomic improvement, but at least it will make things consistent with batch item mod.
Comment 5 Jonathan Druart 2017-02-16 10:50:34 UTC
Created attachment 60324 [details] [review]
Bug 11932: Move delete checkbox on patron modification to right

To test:
1) Go to Tools -> Batch patron modification
2) Put in a user cardnumber and click Continue
3) Notice checkboxes on the left of the input fields
4) Apply patch and refresh page (resend information if prompted)
5) Notice checkboxes on the right of the input fields
6) Confirm they still work as expected

Sponsored-by: Catalyst IT

NOTE: Why not left before the label? And while functional,
      is there a pretty align it nicely with all the other
      checkboxes CSS styling somehow?

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2017-02-17 17:12:06 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 7 Katrin Fischer 2017-02-19 20:47:47 UTC
This won't get ported back to 16.11.x as it is an enhancement.